Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020015
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2012-03-14 01:482012-04-17 05:31
ReporterchelipfView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionb4a79546b9e5
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_23
OS VersionDatabase version8.4.9Ant version1.8.2
Product Version2.50MP33.1SCM revision 
Review Assigned To
Web browserMozilla Firefox
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020015: Create Lines From in Sales invoices doesn't set Excludeforwithholding field properly

DescriptionExcludeforwithholding column of C_INVOICELINE table is a boolean column and it must only accept Y or N values. When "creating lines from" is processed, Excludeforwithholding is set to null.
Steps To Reproduce- Create a new sales invoice header.
- Push create lines from button.
Proposed Solution- Set Excludeforwithholding column as "not null".
- Create a new constraint in order to Excludeforwithholding only accepts Y or N values.
- Fix Create Lines From process in order to set Excludeforwithholding to N instead to null.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020038 closednaiaramartinez Create Lines From in Sales invoices doesn't set taxamt and taxbaseamt fields properly 

-  Notes
(0046436)
chelipf (reporter)
2012-03-15 00:35
edited on: 2012-04-04 15:50

The same thing happens for purchase invoice. It is related to 0020038 issue.

(0047392)
Sandrahuguet (developer)
2012-04-04 16:24

Test Plan:
Go to Sales Invoice
 - Create a new sales invoice
 - Click in Create Lines From

And you can see Excludeforwithholding is 'N'
(0047496)
vmromanos (developer)
2012-04-12 10:00

Test Plan:
Go to Sales Invoice
 - Create a new sales invoice
 - Click in Create Lines From
 - Select any order previously created
 - Select any line of this order
 - Press OK button
Query the database and verify Excludeforwithholding is 'N'

The field associated with this column is never shown in the application, so there is no reason for changing the API and creating a module script to fix previous data
(0047503)
hgbot (developer)
2012-04-12 10:53

Repository: erp/devel/pi
Changeset: b4a79546b9e58541ae8798c6d6b91892aa6cb75c
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Apr 04 15:04:25 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b4a79546b9e58541ae8798c6d6b91892aa6cb75c [^]

Fixed issue 20015 Set Excludeforwithholding to N instead to null
Set Excludeforwithholding to N instead to null in c_invoiceline table

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
---
(0047504)
vmromanos (developer)
2012-04-12 10:53

code review + testing OK
(0047632)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-03-14 01:48 chelipf New Issue
2012-03-14 01:48 chelipf Assigned To => vmromanos
2012-03-14 01:48 chelipf Web browser => Mozilla Firefox
2012-03-14 01:48 chelipf Modules => Core
2012-03-15 00:35 chelipf Note Added: 0046436
2012-03-15 01:12 chelipf Issue Monitored: chelipf
2012-04-04 13:17 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-04-04 13:17 Sandrahuguet Status new => scheduled
2012-04-04 13:17 Sandrahuguet fix_in_branch => pi
2012-04-04 15:50 chelipf Note Edited: 0046436 View Revisions
2012-04-04 15:50 chelipf Note Edited: 0046436 View Revisions
2012-04-04 15:59 Sandrahuguet Relationship added related to 0020038
2012-04-04 16:02 Sandrahuguet Relationship deleted related to 0020038
2012-04-04 16:24 Sandrahuguet Note Added: 0047392
2012-04-12 09:42 vmromanos Relationship added related to 0020038
2012-04-12 10:00 vmromanos Note Added: 0047496
2012-04-12 10:53 hgbot Checkin
2012-04-12 10:53 hgbot Note Added: 0047503
2012-04-12 10:53 hgbot Status scheduled => resolved
2012-04-12 10:53 hgbot Resolution open => fixed
2012-04-12 10:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4a79546b9e58541ae8798c6d6b91892aa6cb75c [^]
2012-04-12 10:53 vmromanos Note Added: 0047504
2012-04-12 10:53 vmromanos Status resolved => closed
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047632


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker